﻿local addon, ns = ...
local cfg = CreateFrame("Frame")
local mediaFolder = "Interface\\AddOns\\oUF_Nivea\\media\\"	-- don't touch this ...


------------
-- colors --
------------
	--cfg.maincolor = {53/255, 69/255, 105/255}				-- portrait BG, raid health bar, castbar color
	cfg.maincolor = {53/255, 53/255, 53/255}				-- portrait BG, raid health bar, castbar color
	cfg.sndcolor = {255/255, 207/255, 164/255}				-- font color, ...
	cfg.trdcolor = {120/255, 90/255, 110/255}				-- castbar color
	cfg.backdropcolor = {26/255, 25/255, 31/255}			-- backdrop color	
	--cfg.brdcolor = {65/255, 74/255, 79/255}					-- border color
	cfg.brdcolor = {70/255, 70/255, 70/255}					-- border color
	--cfg.infocolor = {29/255, 63/255, 72/255}				-- info panel color
	cfg.infocolor = {35/255, 35/255, 35/255}				-- info panel color
	
	cfg.solidHPBGcolor = false								-- use a custom background color for the healthbar, instead of class/reaction colors
	cfg.hpBGcolor = {216/255, 207/255, 105/255}				-- custom health background color, requires cfg.solidBGcolor = true

-----------	
-- media --
-----------
	cfg.HPtex = mediaFolder.."protoBarA"							-- health bar texture
	cfg.PPtex = mediaFolder.."protoBarA"							-- power bar texture
	cfg.CBtex = mediaFolder.."dM3"							-- castbar texture
	cfg.Itex = mediaFolder.."dO"							-- BG texture
	cfg.Auratex = mediaFolder.."dBBorderK"					-- border texture for buffs/debuffs

	cfg.NameFont = mediaFolder.."Pixelway_Baseline.ttf"				-- font used for text (names)	- recommended: (hooge0655, size 8, "OUTLINE MONOCHROME") OR (Prototype, size 10, "THINOUTLINE")
	cfg.NumbFont = mediaFolder.."Pixelway_Baseline.ttf"				-- font used for numbers		- recommended: (hooge0557, size 10, "OUTLINE MONOCHROME") OR (Prototype, size 10, "THINOUTLINE")
	cfg.NameFS = 10													-- name font size
	cfg.NumbFS = 10 												-- number font size
	cfg.CastFS = 10													-- castbar font size	
	cfg.ComboFS = 20												-- combo point font size
	cfg.FontF = "OUTLINE MONOCHROME"								-- "THINOUTLINE", "OUTLINE MONOCHROME", "OUTLINE" or nil (no outline)
	cfg.fontFNum = "OUTLINE MONOCHROME"							

	
----------------------
-- general settings --
----------------------
	cfg.Numberzzz = 1					-- 0 will display 18400k as 18k, 1 = 18.4k, ....
	cfg.FadeOutAlpha = 0.3 				-- alpha for out of range units (oUF_SpellRange plugin, required)
	cfg.BarFadeAlpha = 0.0				-- alpha for oUF_BarFader (required) plugin (can be 0 - 1)
	
	-- switches -- true/false (on/off)
	cfg.useCastbar = true					-- show/hide player, target, focus castbar
	cfg.useSpellIcon = true					-- show/hide castbar spellicon
	
	-- portraits
	cfg.usePortrait = false				-- show/hide player, target, focus portrait
	cfg.pAlpha = 0.3					-- portrait alpha (transparency)		


------------
-- player --
------------
	cfg.separatePortraitPlayer = false		-- separate player's portrait, instead of overlaying the healthbar
	cfg.MirrorPlayerPortrait = false		-- switch portrait from left to right side of the healthbar
	
	cfg.PlayerRightSideSpellIcon = true		-- switch player's castbars spell icon position from left to right
	
	cfg.PlayerBuffsOnPlayerFrame = false		-- put players buffs below the player frame instead of next to the minimap (cfg.HideBlizzardAuras = true, required)	
	
	cfg.PlayerBuffNumber = 8				-- buff number per row (player)	- only counts for buffs anchored to the player frame (PlayerBuffsOnPlayerFrame = true, required)
	cfg.PlayerDebuffNumber = 8				-- debuff number per row (player) 	

	-- only counts for buffs not anchored to the player frame	
	cfg.PlayerBuffSize = 28					-- buff size (player), cfg.HideBlizzardAuras = true (required)
	
	-- Player Buff Position
	cfg.PlayerBufParent = UIParent			-- can be any frame, common frames are Minimap or UIParent
	cfg.PlayerBufAnchor1 = "TOPRIGHT"
	cfg.PlayerBufAnchor2 = "TOPRIGHT"	
	cfg.PlayerBufOffset_X = -30				-- x Offset
	cfg.PlayerBufOffset_Y = -20				-- y Offset
	cfg.PlayerBuffInitialAnchor = "TOPRIGHT"
	cfg.PlayerBuffGrowth_X = "LEFT"
	cfg.PlayerBuffGrowth_Y = "DOWN"
	
------------------------------------------------
-- class bar - Holy Power, Soul Shards, Runes --
------------------------------------------------
	cfg.useClassBar = true					-- show/hide class bar
	cfg.ClassBarHeight = 2					-- height of Deathknight rune bar and Totembar (oUF_TotemBar plugin required) for shamans
	
------------
-- target --
------------
	cfg.separatePortraitTarget = false		-- separate target's portrait, ...
	cfg.MirrorTargetPortrait = true 		-- switch portrait from left to right side of the healthbar
	
	cfg.TargetRightSideSpellIcon = false	-- switch target's castbars spell icon position from left to right
	
	cfg.onlyShowPlayerBuffs = false 		-- only show buffs casted by player (target and focus)
	cfg.onlyShowPlayerDebuffs = false		-- only show debuffs casted by player (target and focus)	
	cfg.BuffNumberTar = 8					-- buff number per row - target
	cfg.DebuffNumberTar = 8					-- debuff number per row - target
	
-----------
-- focus --
-----------
	cfg.separatePortraitFocus = true		-- separate focus's portrait, ...
	cfg.MirrorFocusPortrait = true 			-- switch portrait from left to right side of the healthbar
	
	cfg.FocusRightSideSpellIcon = false		-- switch focus's castbars spell icon position from left to right

	cfg.BuffNumberFoc = 7					-- buff number per row - focus
	cfg.DebuffNumberFoc = 7					-- debuff number per row - focus
	
-----------
-- party --
-----------
	cfg.PartyFrames = true 					-- set to false to disable party frames
	cfg.usePartyPortrait = false			-- show/hide party portraits	
	cfg.separatePortraitParty = true		-- separate party portraits, ...
	
----------
-- raid --
----------
	cfg.RaidFrames = true	 				-- set to false to disable raid frames
	
-----------
-- arena --
-----------
	cfg.ArenaFrames = true	 				-- set to false to disable arena frames
	
---------------
-- main tank --
---------------
	cfg.MTFrames = true	 					-- set to false to disable main tank frames

----------
-- boss --
----------
	cfg.BossFrames = true	 				-- set to false to disable boss frames	

-------------------
-- aura specific --
-------------------
	cfg.HideBlizzardAuras = false			-- hide blizzard buff, debuff and weapon enchant frame AND replace them with oUF's buffs/debuffs
	cfg.HideAuraTimer = 180					-- spell timer is shown for shorter durations, than set value, hidden otherwise
	cfg.FilterAuras = true					-- filter arena, party and raid auras by applying a whitelist (the whitelist can be found in Nivea_AuraFilterList.lua)
	
---------------	
-- framesize --
---------------
	-- height
	cfg.heightP = 18		-- player
	cfg.heightT = 18		-- target
	cfg.heightF = 18		-- Focus	
	cfg.heightM = 18 		-- MT, boss frames
	cfg.heightS = 18 		-- ToT, FocusTarget, pet
	cfg.heightPA = 14		-- party, party pet - arena
	cfg.heightR = 18		-- raid
	cfg.heightCB = 8		-- class bar

	-- width
	cfg.widthP = 240		-- player
	cfg.widthT = 240		-- target
	cfg.widthF = 200		-- Focus	
	cfg.widthM = 140 		-- MT, boss frames
	cfg.widthS = 48 		-- ToT, FocusTarget, pet, party pet
	cfg.widthPA = 200 		-- party - arena
	cfg.widthR = 60 		-- raid
	cfg.widthCB = 240		-- class bar
	
	-- hp|pp height, pp|info offset (optional)
	cfg.heightHP = 18
	cfg.heightPP = 2
	cfg.PPyOffset = 5
	cfg.InfoOffset = 5
	
--------------------------------	
-- oUF_WeaponEnchant settings --
--------------------------------
	cfg.WeapEnchantIconSize	= 30			-- icon size

	
ns.cfg = cfg	-- don't touch this ...